/*! @file       NSObject_DEForwardInvocation.m
    @copyright  Copyright 2008 David F. Elliott. All rights reserved.
                Created by David Elliott <dfe@tgwbd.org> on 1/19/08.
    @description
    Adds a forward:: method to NSObject.  It never seems to be called but if it doesn't
    exist the +[EOFault initialize] method will bomb looking for it.
*/

#import "NSObject_DEForwardInvocation.h"

#include <Foundation/NSException.h>

@implementation NSObject(DEForwardInvocation)

- (long long)forward:(SEL)aSelector :(marg_list)args
{
    [NSException raise:NSInternalInconsistencyException format:@"*** forward:: implementation not overridden"];
    return 0;
}

@end
